## edu.brook
Interface IDemographicPrisonersDilemma

    public interface IDemographicPrisonersDilemma

Demographic Prisoner_s Dilemma Java Implementation. Generated by metaabm system: Nov 18, 2008 11:59:45 PM PST in project: org.metaabm.examples.ascape

Method Summary
`int` `getBirthAge()` Gets the Birth Age property for Demographic Prisoner_s Dilemma.
`int` `getDeathAge()` Gets the Death Age property for Demographic Prisoner_s Dilemma.
`int` `getFissionWealth()` Gets the Fission Wealth property for Demographic Prisoner_s Dilemma.
`int` `getInheiritedWealth()` Gets the Inheirited Wealth property for Demographic Prisoner_s Dilemma.
`int` `getInitialWealth()` Gets the Initial Wealth property for Demographic Prisoner_s Dilemma.
`int` `getMaximumAge()` Gets the Maximum Age property for Demographic Prisoner_s Dilemma.
`int` `getMaximumWealth()` Gets the Maximum Wealth property for Demographic Prisoner_s Dilemma.
`int` `getMinimumWealth()` Gets the Minimum Wealth property for Demographic Prisoner_s Dilemma.
`double` `getMutationRate()` Gets the Mutation Rate property for Demographic Prisoner_s Dilemma.
`int` `getPayoffCC()` Gets the Payoff Cooperate Cooperate property for Demographic Prisoner_s Dilemma.
`int` `getPayoffCD()` Gets the Payoff Cooperate Defect property for Demographic Prisoner_s Dilemma.
`int` `getPayoffDC()` Gets the Payoff Defect Cooperate property for Demographic Prisoner_s Dilemma.
`int` `getPayoffDD()` Gets the Payoff Defect Defect property for Demographic Prisoner_s Dilemma.
`int` `getPlayerCount()` Gets the Player Count property for Demographic Prisoner_s Dilemma.
`void` `setBirthAge(int _birthAge)` Sets the Birth Age property for Demographic Prisoner_s Dilemma.
`void` `setDeathAge(int _deathAge)` Sets the Death Age property for Demographic Prisoner_s Dilemma.
`void` `setFissionWealth(int _fissionWealth)` Sets the Fission Wealth property for Demographic Prisoner_s Dilemma.
`void` `setInheiritedWealth(int _inheiritedWealth)` Sets the Inheirited Wealth property for Demographic Prisoner_s Dilemma.
`void` `setInitialWealth(int _initialWealth)` Sets the Initial Wealth property for Demographic Prisoner_s Dilemma.
`void` `setMaximumAge(int _maximumAge)` Sets the Maximum Age property for Demographic Prisoner_s Dilemma.
`void` `setMaximumWealth(int _maximumWealth)` Sets the Maximum Wealth property for Demographic Prisoner_s Dilemma.
`void` `setMinimumWealth(int _minimumWealth)` Sets the Minimum Wealth property for Demographic Prisoner_s Dilemma.
`void` `setMutationRate(double _mutationRate)` Sets the Mutation Rate property for Demographic Prisoner_s Dilemma.
`void` `setPayoffCC(int _payoffCC)` Sets the Payoff Cooperate Cooperate property for Demographic Prisoner_s Dilemma.
`void` `setPayoffCD(int _payoffCD)` Sets the Payoff Cooperate Defect property for Demographic Prisoner_s Dilemma.
`void` `setPayoffDC(int _payoffDC)` Sets the Payoff Defect Cooperate property for Demographic Prisoner_s Dilemma.
`void` `setPayoffDD(int _payoffDD)` Sets the Payoff Defect Defect property for Demographic Prisoner_s Dilemma.
`void` `setPlayerCount(int _playerCount)` Sets the Player Count property for Demographic Prisoner_s Dilemma.

Method Detail

### getPlayerCount

    int getPlayerCount()

  Gets the Player Count property for Demographic Prisoner_s Dilemma.

  Returns:
    The number of players to create.

### setPlayerCount

    void setPlayerCount(int _playerCount)

  Sets the Player Count property for Demographic Prisoner_s Dilemma. The number of players to create.

  Parameters:
    `_playerCount` - the new Player Count value

### getMinimumWealth

    int getMinimumWealth()

  Gets the Minimum Wealth property for Demographic Prisoner_s Dilemma.

  Returns:

### setMinimumWealth

    void setMinimumWealth(int _minimumWealth)

  Sets the Minimum Wealth property for Demographic Prisoner_s Dilemma.

  Parameters:
    `_minimumWealth` - the new Minimum Wealth value

### getMaximumWealth

    int getMaximumWealth()

  Gets the Maximum Wealth property for Demographic Prisoner_s Dilemma.

  Returns:

### setMaximumWealth

    void setMaximumWealth(int _maximumWealth)

  Sets the Maximum Wealth property for Demographic Prisoner_s Dilemma.

  Parameters:
    `_maximumWealth` - the new Maximum Wealth value

### getMaximumAge

    int getMaximumAge()

  Gets the Maximum Age property for Demographic Prisoner_s Dilemma.

  Returns:

### setMaximumAge

    void setMaximumAge(int _maximumAge)

  Sets the Maximum Age property for Demographic Prisoner_s Dilemma.

  Parameters:
    `_maximumAge` - the new Maximum Age value

### getPayoffCC

    int getPayoffCC()

  Gets the Payoff Cooperate Cooperate property for Demographic Prisoner_s Dilemma.

  Returns:
    The change in wealth for a player when playing cooperate against cooperate.

### setPayoffCC

    void setPayoffCC(int _payoffCC)

  Sets the Payoff Cooperate Cooperate property for Demographic Prisoner_s Dilemma. The change in wealth for a player when playing cooperate against cooperate.

  Parameters:
    `_payoffCC` - the new Payoff Cooperate Cooperate value

### getPayoffCD

    int getPayoffCD()

  Gets the Payoff Cooperate Defect property for Demographic Prisoner_s Dilemma.

  Returns:
    The change in wealth for a player when playing cooperate against defect.

### setPayoffCD

    void setPayoffCD(int _payoffCD)

  Sets the Payoff Cooperate Defect property for Demographic Prisoner_s Dilemma. The change in wealth for a player when playing cooperate against defect.

  Parameters:
    `_payoffCD` - the new Payoff Cooperate Defect value

### getPayoffDC

    int getPayoffDC()

  Gets the Payoff Defect Cooperate property for Demographic Prisoner_s Dilemma.

  Returns:
    The change in wealth for a player when playing defect against cooperate.

### setPayoffDC

    void setPayoffDC(int _payoffDC)

  Sets the Payoff Defect Cooperate property for Demographic Prisoner_s Dilemma. The change in wealth for a player when playing defect against cooperate.

  Parameters:
    `_payoffDC` - the new Payoff Defect Cooperate value

### getPayoffDD

    int getPayoffDD()

  Gets the Payoff Defect Defect property for Demographic Prisoner_s Dilemma.

  Returns:
    The change in wealth for a player when both players defect.

### setPayoffDD

    void setPayoffDD(int _payoffDD)

  Sets the Payoff Defect Defect property for Demographic Prisoner_s Dilemma. The change in wealth for a player when both players defect.

  Parameters:
    `_payoffDD` - the new Payoff Defect Defect value

### getFissionWealth

    int getFissionWealth()

  Gets the Fission Wealth property for Demographic Prisoner_s Dilemma.

  Returns:
    The wealth level at which an agent can fission.

### setFissionWealth

    void setFissionWealth(int _fissionWealth)

  Sets the Fission Wealth property for Demographic Prisoner_s Dilemma. The wealth level at which an agent can fission.

  Parameters:
    `_fissionWealth` - the new Fission Wealth value

### getInheiritedWealth

    int getInheiritedWealth()

  Gets the Inheirited Wealth property for Demographic Prisoner_s Dilemma.

  Returns:
    The wealth that is passed from parent to child.

### setInheiritedWealth

    void setInheiritedWealth(int _inheiritedWealth)

  Sets the Inheirited Wealth property for Demographic Prisoner_s Dilemma. The wealth that is passed from parent to child.

  Parameters:
    `_inheiritedWealth` - the new Inheirited Wealth value

### getInitialWealth

    int getInitialWealth()

  Gets the Initial Wealth property for Demographic Prisoner_s Dilemma.

  Returns:
    The wealth initially assigned to an agent at the beginning of model run.

### setInitialWealth

    void setInitialWealth(int _initialWealth)

  Sets the Initial Wealth property for Demographic Prisoner_s Dilemma. The wealth initially assigned to an agent at the beginning of model run.

  Parameters:
    `_initialWealth` - the new Initial Wealth value

### getMutationRate

    double getMutationRate()

  Gets the Mutation Rate property for Demographic Prisoner_s Dilemma.

  Returns:
    The probabaility that a given agent will change strategies in a given period, expressed as a value from 0.0 to 1.0.

### setMutationRate

    void setMutationRate(double _mutationRate)

  Sets the Mutation Rate property for Demographic Prisoner_s Dilemma. The probabaility that a given agent will change strategies in a given period, expressed as a value from 0.0 to 1.0.

  Parameters:
    `_mutationRate` - the new Mutation Rate value

### getDeathAge

    int getDeathAge()

  Gets the Death Age property for Demographic Prisoner_s Dilemma.

  Returns:
    The number of periods before an agent will be removed from game when Die At Age rule is active.

### setDeathAge

    void setDeathAge(int _deathAge)

  Sets the Death Age property for Demographic Prisoner_s Dilemma. The number of periods before an agent will be removed from game when Die At Age rule is active.

  Parameters:
    `_deathAge` - the new Death Age value

### getBirthAge

    int getBirthAge()

  Gets the Birth Age property for Demographic Prisoner_s Dilemma.

  Returns:
    The actual age in years as determined by data set.

### setBirthAge

    void setBirthAge(int _birthAge)

  Sets the Birth Age property for Demographic Prisoner_s Dilemma. The actual age in years as determined by data set.

  Parameters:
    `_birthAge` - the new Birth Age value